Bug 50479 - Request for approval to commit bsd.gnustep.mk
Summary: Request for approval to commit bsd.gnustep.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-31 13:20 UTC by dirk.meyer
Modified: 2003-08-27 05:47 UTC (History)
0 users

See Also:


Attachments
file.diff (9.10 KB, patch)
2003-03-31 13:20 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2003-03-31 13:20:08 UTC
common include to strip common defines and targes from ports:

ports/deskutils/gworkspace
ports/deskutils/preferences.app
ports/devel/gnustep
ports/devel/gnustep-make
ports/devel/gorm
ports/devel/projectcenter.app
ports/games/gshisen
ports/games/gomoku.app
ports/graphics/imageviewer
ports/lang/gnustep-base
ports/lang/gnustep-guile
ports/mail/pantomime
ports/mail/pantomime-ssl
ports/mail/gnumail
ports/misc/gnustep-examples
ports/textproc/easydiff
ports/shells/gscommander
ports/x11-toolkits/gnustep-gui
ports/x11-toolkits/gnustep-back
ports/x11-toolkits/gnustep-xdps
ports/x11-toolkits/gnustep-art
ports/x11-toolkits/gtoolkit

Fix: approve the committ:

How-To-Repeat: 
Bytes  2251, /usr/ports/deskutils/gworkspace/Makefile
Bytes   987, /usr/ports/current/gworkspace/Makefile
      -1264

Bytes  1768, /usr/ports/deskutils/preferences.app/Makefile
Bytes  1086, /usr/ports/current/preferences.app/Makefile
       -682

Bytes  1313, /usr/ports/devel/gnustep/Makefile
Bytes  1297, /usr/ports/current/gnustep/Makefile
        -16

Bytes  1334, /usr/ports/devel/gnustep-make/Makefile
Bytes  1111, /usr/ports/current/gnustep-make/Makefile
       -223

Bytes  1480, /usr/ports/devel/gorm/Makefile
Bytes   741, /usr/ports/current/gorm/Makefile
       -739

Bytes  2117, /usr/ports/devel/projectcenter.app/Makefile
Bytes  1419, /usr/ports/current/projectcenter.app/Makefile
       -698

Bytes  1466, /usr/ports/games/gshisen/Makefile
Bytes   783, /usr/ports/current/gshisen/Makefile
       -683

Bytes  1406, /usr/ports/games/gomoku.app/Makefile
Bytes   723, /usr/ports/current/gomoku.app/Makefile
       -683

Bytes  1414, /usr/ports/graphics/imageviewer/Makefile
Bytes   744, /usr/ports/current/imageviewer/Makefile
       -670

Bytes  2935, /usr/ports/lang/gnustep-base/Makefile
Bytes  1574, /usr/ports/current/gnustep-base/Makefile
      -1361

Bytes  2258, /usr/ports/lang/gnustep-guile/Makefile
Bytes  1053, /usr/ports/current/gnustep-guile/Makefile
      -1205

Bytes  1445, /usr/ports/mail/pantomime/Makefile
Bytes   834, /usr/ports/current/pantomime/Makefile
       -611

Bytes  1452, /usr/ports/mail/pantomime-ssl/Makefile
Bytes  1084, /usr/ports/current/pantomime-ssl/Makefile
       -368

Bytes  1732, /usr/ports/mail/gnumail/Makefile
Bytes   981, /usr/ports/current/gnumail/Makefile
       -751

Bytes  1914, /usr/ports/misc/gnustep-examples/Makefile
Bytes  1247, /usr/ports/current/gnustep-examples/Makefile
       -667

Bytes  1474, /usr/ports/textproc/easydiff/Makefile
Bytes   804, /usr/ports/current/easydiff/Makefile
       -670

Bytes  1423, /usr/ports/shells/gscommander/Makefile
Bytes   753, /usr/ports/current/gscommander/Makefile
       -670

Bytes  3047, /usr/ports/x11-toolkits/gnustep-gui/Makefile
Bytes  1650, /usr/ports/current/gnustep-gui/Makefile
      -1397

Bytes  2741, /usr/ports/x11-toolkits/gnustep-back/Makefile
Bytes  2086, /usr/ports/current/gnustep-back/Makefile
       -655

Bytes  2445, /usr/ports/x11-toolkits/gtoolkit/Makefile
Bytes  1206, /usr/ports/current/gtoolkit/Makefile
      -1239

Total -15252 saving in bytes.
Comment 1 Dirk Meyer freebsd_committer 2003-03-31 14:58:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

please review
Comment 2 Dirk Meyer freebsd_committer 2003-06-01 08:00:53 UTC
State Changed
From-To: open->suspended

bsd.gnustep.mk is in ${PORTSDIR}/devel/gnustep/
Comment 3 Joe Marcus Clarke freebsd_committer 2003-08-27 05:47:19 UTC
State Changed
From-To: suspended->closed

Committed, thanks!